Name:           imapfilter
Version:        2.2.2
Release:        1%{?dist}
Summary:        A flexible client side mail filtering utility for IMAP servers

Group:          Applications/Internet
License:        MIT
URL:            http://imapfilter.hellug.gr/
Source0:        http://imapfilter.hellug.gr/source/imapfilter-%{version}.tar.bz2
Patch0:         http://people.redhat.com/~dsommers/imapfilter/imapfilter-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel lua-devel pcre-devel

%description
IMAPFilter is a mail filtering utility. It connects to remote mail servers
using the Internet Message Access Protocol (IMAP), sends searching queries
to the server and processes mailboxes based on the results. It can be used
to delete, copy, move, flag, etc. messages residing in mailboxes at the
same or different mail servers. The 4rev1 and 4 versions of the IMAP
protocol are supported.


%prep
%setup -q
%patch0 -p1

%build
# As the ./configure script in imapfilter is not autotools based, other arguments need to
# be used.  This will cause rpmlint configure-without-libdir-spec warnings on the spec file
# and the src.rpm.
CFLAGS=$RPM_OPT_FLAGS ./configure -p %{_prefix} -b %{_bindir} -s %{_datadir}/imapfilter -m %{_mandir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/imapfilter
%{_datadir}/imapfilter/
%{_mandir}/man1/imapfilter.1.gz
%{_mandir}/man5/imapfilter_config.5.gz


%changelog
* Thu Feb 25 2010 David Sommerseth <davids@redhat.com> - 2.2.2-1
- Updated to latest upstream version

* Tue Oct 13 2009 David Sommerseth <davids@redhat.com> - 2.0.11-3
- Apply patch overriding -O optimisation and removed not needed install lines

* Thu Sep 24 2009 David Sommerseth <davids@redhat.com> - 2.0.11-2
- Use $RPM_OPT_FLAGS as CFLAGS

* Wed Sep 23 2009 David Sommerseth <davids@redhat.com> - 2.0.11-1
- Updated to imapfilter-2.0.11 and more clean up in spec rules

* Mon Aug 10 2009 David Sommerseth <davids@redhat.com> - 2.0.10-2
- Cleaned up the spec rules

* Thu Aug  6 2009 David Sommerseth <davids@redhat.com> - 2.0.10-1
- First cut at spec file for imapfilter

